REM Examples of JarSigner Commands
REM ------------------------------

REM crer l'archive cryptotools.jar avec les fichiers *
jar cvf cryptotools.jar *.class

REM lister l'archive cryptotools.jar
jar tvf cryptotools.jar

REM signer l'archive avec votre alias
jarsigner -keystore monks.jks -signedjar scryptotools.jar cryptotools.jar didier

REM lister l'archive scryptotools.jar
jar tvf scryptotools.jar

REM vrifier les signatures de l'archive
jarsigner -verify -verbose scryptotools.jar

REM ajouter un fichier Signer.class
jar uvf scryptotools.jar Signer.class

REM vrifier les signatures de l'archive
jarsigner -verify -verbose scryptotools.jar

REM remplacer le MD.class par un MD.class issu de la recompilation de MD.java modifi
copy Signer.class MD.class
jar uvf scryptotools.jar MD.class

REM vrifier les signatures de l'archive
jarsigner -verify -verbose scryptotools.jar