
package com.jaworski.security.handbook;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;

public class CaesarCipherApplet extends Applet {
 // Dclaration des lments graphiques
 private TextArea plainText = new TextArea(5,50);
 private TextArea cipherText = new TextArea(5,50);
 private Choice keyChoice = new Choice();
 private Button encrypt = new Button("Crypter");
 private Button decrypt = new Button("Dcrypter");
 
 // Dfinition de la cl
 private int key = 0;
 
 public CaesarCipherApplet() {
  // Configurer les choix de cl
  for(int i=0;i<26;++i) 
   keyChoice.add(""+i);
  // prsentation de l'applet
  layoutApplet();
  // Ajout des gestionnaires d'vnements
  keyChoice.addItemListener(new ChoiceHandler());
  encrypt.addActionListener(new ButtonHandler());
  decrypt.addActionListener(new ButtonHandler());
  // Affichage de l'applet
  resize(400,400);
 }
 private void layoutApplet() {  
  // Tous ces volets sont utiliss pour un bon affichage
  // de l'applet dans Navigator et Internet Explorer.
  Panel keyPanel = new Panel();
  keyPanel.add(new Label("Cl : "));
  keyPanel.add(keyChoice);
  keyPanel.add(encrypt);
  keyPanel.add(decrypt);
  Panel textPanel = new Panel();
  Panel textPanel1 = new Panel();
  Panel textPanel2 = new Panel();
  textPanel1.add(new Label("   Texte en clair :   "));
  textPanel1.add(plainText);
  textPanel2.add(new Label("   Texte crypt :     "));
  textPanel2.add(cipherText);
  textPanel.setLayout(new GridLayout(2,1));
  textPanel.add(textPanel1);
  textPanel.add(textPanel2);
  setLayout(new BorderLayout());
  add("North",keyPanel);
  add("Center",textPanel);
}
 class ChoiceHandler implements ItemListener {
  // Dfinir la cl en fonction du choix effectu.
  public void itemStateChanged(ItemEvent e) {
   key = new Integer(keyChoice.getSelectedItem()).intValue();
  }
 }
 class ButtonHandler implements ActionListener {
  // Gestion des boutons Crypter et Dcrypter
  public void actionPerformed(ActionEvent e) {
   if(e.getActionCommand().equals(encrypt.getLabel())) 
    cipherText.setText(CaesarCipher.encrypt(plainText.getText(),key));
   else if(e.getActionCommand().equals(decrypt.getLabel())) 
    plainText.setText(CaesarCipher.decrypt (cipherText.getText(),key));
  }
 }
}